import { DisplayField } from './display_field';
import { DimensionFunction } from './dimension_function';
import { Query } from './query';
export declare class Dimension {
    fn: DimensionFunction;
    field: DisplayField;
    constructor(fn: DimensionFunction, field: DisplayField);
    static fn(fn: DimensionFunction): Dimension;
    on(field: DisplayField): this;
    clone(): Dimension;
    segment(query: Query): import("./dimension_segment").DimensionSegment[];
}
